"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReplicationTask_1 = require("../model/operations/CreateReplicationTask");
var CreateReplicationTaskCommand = /** @class */ (function () {
    function CreateReplicationTaskCommand(input) {
        this.input = input;
        this.model = CreateReplicationTask_1.CreateReplicationTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReplicationTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReplicationTaskCommand;
}());
exports.CreateReplicationTaskCommand = CreateReplicationTaskCommand;
//# sourceMappingURL=CreateReplicationTaskCommand.js.map