"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteReplicationInstance_1 = require("../model/operations/DeleteReplicationInstance");
var DeleteReplicationInstanceCommand = /** @class */ (function () {
    function DeleteReplicationInstanceCommand(input) {
        this.input = input;
        this.model = DeleteReplicationInstance_1.DeleteReplicationInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteReplicationInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteReplicationInstanceCommand;
}());
exports.DeleteReplicationInstanceCommand = DeleteReplicationInstanceCommand;
//# sourceMappingURL=DeleteReplicationInstanceCommand.js.map