"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeConnections_1 = require("../model/operations/DescribeConnections");
var DescribeConnectionsCommand = /** @class */ (function () {
    function DescribeConnectionsCommand(input) {
        this.input = input;
        this.model = DescribeConnections_1.DescribeConnections;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeConnectionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeConnectionsCommand;
}());
exports.DescribeConnectionsCommand = DescribeConnectionsCommand;
//# sourceMappingURL=DescribeConnectionsCommand.js.map