"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeEventCategories_1 = require("../model/operations/DescribeEventCategories");
var DescribeEventCategoriesCommand = /** @class */ (function () {
    function DescribeEventCategoriesCommand(input) {
        this.input = input;
        this.model = DescribeEventCategories_1.DescribeEventCategories;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeEventCategoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeEventCategoriesCommand;
}());
exports.DescribeEventCategoriesCommand = DescribeEventCategoriesCommand;
//# sourceMappingURL=DescribeEventCategoriesCommand.js.map