"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartReplicationTaskAssessment_1 = require("../model/operations/StartReplicationTaskAssessment");
var StartReplicationTaskAssessmentCommand = /** @class */ (function () {
    function StartReplicationTaskAssessmentCommand(input) {
        this.input = input;
        this.model = StartReplicationTaskAssessment_1.StartReplicationTaskAssessment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartReplicationTaskAssessmentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartReplicationTaskAssessmentCommand;
}());
exports.StartReplicationTaskAssessmentCommand = StartReplicationTaskAssessmentCommand;
//# sourceMappingURL=StartReplicationTaskAssessmentCommand.js.map