"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartReplicationTask_1 = require("../model/operations/StartReplicationTask");
var StartReplicationTaskCommand = /** @class */ (function () {
    function StartReplicationTaskCommand(input) {
        this.input = input;
        this.model = StartReplicationTask_1.StartReplicationTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartReplicationTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartReplicationTaskCommand;
}());
exports.StartReplicationTaskCommand = StartReplicationTaskCommand;
//# sourceMappingURL=StartReplicationTaskCommand.js.map