"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateEndpointInput_1 = require("../shapes/CreateEndpointInput");
var CreateEndpointOutput_1 = require("../shapes/CreateEndpointOutput");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEndpointInput_1.CreateEndpointInput
    },
    output: {
        shape: CreateEndpointOutput_1.CreateEndpointOutput
    },
    errors: [
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        }
    ]
};
//# sourceMappingURL=CreateEndpoint.js.map