"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateEventSubscriptionInput_1 = require("../shapes/CreateEventSubscriptionInput");
var CreateEventSubscriptionOutput_1 = require("../shapes/CreateEventSubscriptionOutput");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var SNSInvalidTopicFault_1 = require("../shapes/SNSInvalidTopicFault");
var SNSNoAuthorizationFault_1 = require("../shapes/SNSNoAuthorizationFault");
var KMSAccessDeniedFault_1 = require("../shapes/KMSAccessDeniedFault");
var KMSDisabledFault_1 = require("../shapes/KMSDisabledFault");
var KMSInvalidStateFault_1 = require("../shapes/KMSInvalidStateFault");
var KMSNotFoundFault_1 = require("../shapes/KMSNotFoundFault");
var KMSThrottlingFault_1 = require("../shapes/KMSThrottlingFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEventSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEventSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEventSubscriptionInput_1.CreateEventSubscriptionInput
    },
    output: {
        shape: CreateEventSubscriptionOutput_1.CreateEventSubscriptionOutput
    },
    errors: [
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: SNSInvalidTopicFault_1.SNSInvalidTopicFault
        },
        {
            shape: SNSNoAuthorizationFault_1.SNSNoAuthorizationFault
        },
        {
            shape: KMSAccessDeniedFault_1.KMSAccessDeniedFault
        },
        {
            shape: KMSDisabledFault_1.KMSDisabledFault
        },
        {
            shape: KMSInvalidStateFault_1.KMSInvalidStateFault
        },
        {
            shape: KMSNotFoundFault_1.KMSNotFoundFault
        },
        {
            shape: KMSThrottlingFault_1.KMSThrottlingFault
        }
    ]
};
//# sourceMappingURL=CreateEventSubscription.js.map