"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyReplicationSubnetGroupInput_1 = require("../shapes/ModifyReplicationSubnetGroupInput");
var ModifyReplicationSubnetGroupOutput_1 = require("../shapes/ModifyReplicationSubnetGroupOutput");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ResourceQuotaExceededFault_1 = require("../shapes/ResourceQuotaExceededFault");
var SubnetAlreadyInUse_1 = require("../shapes/SubnetAlreadyInUse");
var ReplicationSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/ReplicationSubnetGroupDoesNotCoverEnoughAZs");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyReplicationSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyReplicationSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyReplicationSubnetGroupInput_1.ModifyReplicationSubnetGroupInput
    },
    output: {
        shape: ModifyReplicationSubnetGroupOutput_1.ModifyReplicationSubnetGroupOutput
    },
    errors: [
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: ResourceQuotaExceededFault_1.ResourceQuotaExceededFault
        },
        {
            shape: SubnetAlreadyInUse_1.SubnetAlreadyInUse
        },
        {
            shape: ReplicationSubnetGroupDoesNotCoverEnoughAZs_1.ReplicationSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        }
    ]
};
//# sourceMappingURL=ModifyReplicationSubnetGroup.js.map